form {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

form > * {
  padding-block: 0.5rem;
}

dialog {
  border-radius: 0.75rem;
}

input:invalid {
  border: 2px dashed red;
  border-radius: 0.1rem;
}

body{
  height: 90vh;
  display: flex;
  justify-self: center;
  align-items: center;
}

tr {
   display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
}

th:first-child {
  border-radius: 2rem 0 0 0;
}

th:last-child {
  border-radius: 0 2rem 0 0;
}

tbody {
  position: relative;
  top: 0.5rem;
}

tbody:last-child > .title {
  border-radius: 0 0 0 2rem;
}

td,th {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

td {
  border: 1px dashed blanchedalmond;
  height: 2rem;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

th {
  border: 5px solid orangered;
}

.read > * { 
  background-color: rgb(21, 99, 57, 0.3);
}

.not_read > *{
  background-color: rgba(218, 15, 15, 0.795);
}


.title, .author {
  justify-content: flex-start;
  max-width: 12rem;
}

.button_container{
  justify-self: center;
  background-color: yellow;
  max-width: fit-content;
}

#btn_new_book {
  display: flex;
  align-items: center;
  margin-top: 4rem;
  min-height: 3rem;
  padding: 2rem;
  border-radius: 1rem;
  transition: all 1s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  clip-path: none;
  &:hover{
    border-radius: 10%;
    clip-path: polygon( 0 100%, 50% 85%, 100% 100%,  100% 0, 50% 15%, 0 0);
  }
}
